package com.zioinfo.mall.category.mapper;

import com.zioinfo.mall.category.MallCategory;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CategoryMapper {
    List<MallCategory> findAll();
    List<MallCategory> findByParent(@Param("parentId") Long parentId);
    MallCategory findById(@Param("id") Long id);
    int insert(MallCategory c);
    int update(MallCategory c);
    int delete(@Param("id") Long id);
}
